%define argus_version 2.0.6.fixes.1

Name:           perl-Argus
Version:        2.00
Release:        %mkrel 11
Epoch:          0
Summary:        Client tools for argus network audit
License:        GPL
Group:          Development/Perl
Url:            http://qosient.com/argus/
Source0:        ftp://ftp.qosient.com/dev/argus-2.0/argus-clients-%{argus_version}.tar.bz2
BuildRequires:  perl-DateManip
Provides:       perl(Argus::Support)
BuildArch:      noarch


%description
Clients to the argus probe which process and display information.

%prep
%setup -q -n argus-clients-%{argus_version}/contrib/Argus-perl-%{version}
export ARGUSHOME=%{_prefix}
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLSITELIB=%{perl_vendorlib}
%{__perl} -pi -e 's|local/||g' Makefile

%build
%{make}

%install
%{makeinstall_std}
%{__rm} -f %{buildroot}%{_prefix}/perllocal.pod

%files
%defattr(0644,root,root,0755)
%doc HISTORY INSTALL README TODO
%attr(0755,root,root) %{_bindir}/look_for
%attr(0755,root,root) %{_bindir}/slowscan
%attr(0755,root,root) %{_bindir}/watcher
%{perl_vendorlib}/Argus.pm
%{perl_vendorlib}/Argus/Archive.pm
%{perl_vendorlib}/Argus/SlowScan.pm
%{perl_vendorlib}/Argus/Support.pm
%{perl_vendorlib}/Argus/Watcher.pm
%{perl_vendorlib}/ra.conf
%{_mandir}/man1/slowscan.1*
%{_mandir}/man1/watcher.1*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0:2.00-11.mga6
+ Revision: 1022568
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0:2.00-10.mga6
+ Revision: 943458
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:2.00-9.mga5
+ Revision: 739382
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2.00-8.mga5
+ Revision: 683541
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:2.00-7.mga4
+ Revision: 509156
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0:2.00-6.mga3
+ Revision: 363127
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0:2.00-5.mga1
+ Revision: 33581
- mageia rebuild
- imported package perl-Argus


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0:2.00-5mdv2010.0
+ Revision: 430260
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0:2.00-4mdv2009.0
+ Revision: 241149
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 01 2007 David Walluck <walluck@mandriva.org> 0:2.00-2mdv2008.0
+ Revision: 20217
- provide perl(Argus::Support) to fill dependency


* Wed Oct 25 2006 David Walluck <walluck@mandriva.org> 2.00-1mdv2007.0
+ Revision: 72201
- BuildRequires: perl-DateManip
- fix all rpmlint warnings
- Import perl-Argus

* Sun Oct 22 2006 David Walluck <walluck@mandriva.org> 0:2.00-1mdv2007.1
- release

